@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap');

body {
    padding: 0;
    margin: 0;
    font-family: 'Roboto', sans-serif;
    background: #6626de;
}

/*   БАЗОВЫЕ СТИЛИ ДЛЯ ВВОДА ЗАДАЧ   */


.frame {
    border: 1px solid black;
    width: 250px;
    height: 45px;
    border-radius: 3px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.buttons {
    display: flex;
}

.task-add {
    background-color: white;
    padding: 25px;
    margin: 0 auto;
    width: 350px;
    display: flex;
    justify-content: center;
}

.todo-header {
    font-size: 50px;
    letter-spacing: 0.03em;
    color: white;
    font-weight: bold;
    text-align: center;
    padding-top: 100px;
    margin-bottom: 15px;
}

.todo-subheader {
    color: white;
    display: block;
    text-align: center;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.002em;
    margin-bottom: 25px;
}

.task-input {
    width: 170px;
    border: 0;
    outline: none;
}

.add-task-btn {
    background-color: #2053BF;
    color: white;
    border: 0;
    height: 45px;
    width: 70px;
    font-size: 16px;
    border-radius: 3px;
    cursor: pointer;
    margin-left: 20px;
}

.add-task-btn:hover {
    background-color: #2d6fff;
    transition: 0.2s ease;
}

.filter-btn {
    width: 10px;
    height: 12px;
    border-radius: 3px;
    border: 0;
    cursor: pointer;
}

.filter-btn:not(:last-child) {
    margin-right: 5px;
}

.red { 
    background-color: #ffc2c2;
}

.yellow {
    background-color: #fff5b3;
}

.green {
    background-color: #b1ffb5;
}

.incorrect-value {
    color:#ff7f7f;
    font-size: 14px;
    display: block;
    background-color: white;
    width: 350px;
    margin: 0 auto;
    padding: 15px 25px;
    border-top: 1px solid #eb9e9e;
    text-align: center;
}

/*   БАЗОВЫЕ СТИЛИ ДЛЯ СПИСКА ЗАДАЧ  */

ul {
    background-color: white;
    margin: 0 auto;
    width: 325px;
    margin-top: 35px;
    padding: 20px;
}

.delete-task-btn {
    margin-left: auto;
    height: 25px;
    color: white;
    background-color: #08406E;
    font-weight: bold;
    border: 0;
    border-radius: 3px;
    cursor: pointer;
    margin-right: 10px;
}

.delete-task-btn:hover {
    background-color: #052946;
    transition: 0.3s ease;
}

.done-task-btn {
    margin-left: 10px;
}

.task-title {
    margin-left: 10px;
    word-break: break-all;
}

.red-bg {
    background-color: #eb9e9e;
    color: #9b1e1e;
}

.yellow-bg {
    background-color: #ecdf8a;
    color: #b67d1b;
}

.green-bg {
    background-color: #87e98c;
    color: #237c24;
}

li {
    background-color: #C7DFF5;
    height: 40px;
    align-items: center;
    display: flex;
    margin-bottom: 10px;
    border: 1px solid white;
    border-radius: 3px;
    padding: 5px;
}

li:hover {
    border: 1px solid #08406E;
    transition: 0.3s ease;
}

.completed {
    text-decoration: line-through;
}

.copyright {
    color: white;
    text-align: center;
}